> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Create a client

POST https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/entries/partners/{entryId}/clients/
Content-Type: application/json

Create a new client

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/client/create-a-client

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — id of the directory
- `entryId` (string, required) — id of the Partner entry

### Body (application/json)

This endpoint expects a ClientSerializerWriterRequest.

- `title` (string, optional, nullable)
- `file` (string, optional, nullable)
- `fileUrl` (string, optional, nullable)
- `url` (string, optional, nullable)
- `order` (integer, optional)

## Response

### 201

Successful operation

- `id` (string, required)
- `title` (string, optional, nullable)
- `file` (string, optional, nullable)
- `fileUrl` (string, optional, nullable)
- `url` (string, optional, nullable)
- `order` (integer, optional)

## Errors

### 404 Not Found Error

- `map from string to any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
  "title": "Client Entry",
  "file": null,
  "fileUrl": null,
  "url": "https://partner.domain.com/client",
  "order": 0
}
```

**SDK Code**

```python application/json example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/clients/"

payload = {}
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript application/json example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/clients/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```